<div class="container-fluid page-body-wrapper full-page-wrapper">
  <div class="content-wrapper d-flex align-items-center auth px-0">
    <div class="row w-100 mx-0">
      <div class="col-lg-4 mx-auto">
        <div class="alert alert-warning alert-dismissible fade show" role="alert" *ngIf="invalidLoginMessage != ''">
          {{invalidLoginMessage}}.
          <!-- <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button> -->
        </div>
        <div class="auth-form-light text-left py-5 px-4 px-sm-5">
          <div class="brand-logo text-center">
            <img src="/assets/icons/zuubako-logo.png" alt="logo">
          </div>
          <h4 class="text-center">Hello! let's get started</h4>
          <h6 class="font-weight-light text-center">Sign in to continue.</h6>
          <form class="pt-3" (ngSubmit)="onSubmit()" #loginForm="ngForm">
            <div class="form-group">
              <input type="text" class="form-control form-control-lg" id="userName" placeholder="Username" name="username"
              [(ngModel)]="loginPayload.username" required #username="ngModel" autocomplete="off">
            </div>
            <div class="form-group">
              <input type="password" class="form-control form-control-lg" id="exampleInputPassword1" placeholder="Password"
              name="password" [(ngModel)]="loginPayload.password" #password="ngModel">
            </div>
            <div class="mt-3">
              <button type="submit" class="btn btn-block btn-primary btn-lg font-weight-medium auth-form-btn">
                <ul class="p-0 m-0" style="display: inline-flex;">
                  <li style="list-style: none; margin-top: 3px !important;" *ngIf="loading" class="p-0 mr-2"><mat-progress-spinner class="example-margin" [color]="'primary'" [mode]="'indeterminate'" [value]="50" diameter="20"></mat-progress-spinner></li>
                  <li style="list-style: none;" class="p-0">SIGN IN</li>
                </ul>
              </button>
            </div>  
          </form>
        </div>
      </div>
    </div>
  </div>
  <!-- content-wrapper ends -->
</div>